
## Descripcion

Paquete para el uso de servicios UIF version para pruebas de integracion

## Instalacion

Instalacion del paquete
```sh
npm i vue-uif-frontend
```

## Variables de Entorno
```env
VITE_BACKEND_URL=http://192.168.20.107:6512
VITE_API_INTERMEDIARY_SEGURITY=https://ms-agetic.mp.gob.bo
VITE_API_LOCAL_FIRMATIC=https://localhost:4637
VITE_API_SERVER_REDIRECT=https://agetic.mp.gob.bo
VITE_API_BASE_URL="http://mi-pagina.com"
VITE_API_APLICATION="mp"
VITE_VERIFY_FUNCTIONARY="true"
VITE_TOKEN_SEGURITY_AGETIC="ytksdf....."
VITE_DEVELOPMENT_ENVIRONMENT="PRODUCTION | TEST | DEV"
```
## configuracion de variables de Entorno
```typescript

import vueUifFrontend from 'vue-uif-frontend'

const app = createApp(App);
app.use(vueUifFrontend, {
  VITE_BACKEND_URL:import.meta.env.VITE_BACKEND_URL
    VITE_API_INTERMEDIARY_SEGURITY: import.meta.env.VITE_API_INTERMEDIARY_SEGURITY,
    VITE_API_LOCAL_FIRMATIC:import.meta.env.VITE_API_LOCAL_FIRMATIC,
    VITE_API_SERVER_REDIRECT:import.meta.env.VITE_API_SERVER_REDIRECT,
    VITE_API_BASE_URL:import.meta.env.VITE_API_BASE_URL,
    VITE_API_APLICATION:import.meta.env.VITE_API_APLICATION,
    VITE_VERIFY_FUNCTIONARY:import.meta.env.VITE_VERIFY_FUNCTIONARY,
    VITE_TOKEN_SEGURITY_AGETIC:import.meta.env.VITE_TOKEN_SEGURITY_AGETIC,
    VITE_DEVELOPMENT_ENVIRONMENT:import.meta.env.VITE_TOKEN_SEGURITY_AGETIC,
});

app.mount('#app');
```
## Configuracion iniciar el componente de uif
```html

<template>
  <div>
    <Uif/>
  </div>
</template>
```
```typescript
<script setup lang="ts">
import {Uif} from 'vue-uif-frontend'
</script>

<style scoped>

</style>


```